



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>jQuery事件--mouseover()、mouseout()、mouseenter()和mouseleave()</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">jQuery事件--mouseover()、mouseout()、mouseenter()和mouseleave()</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-10 20:06:58 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2><strong>&nbsp; &nbsp;mouseover([[data],fn])</strong></h2>
<p><strong>概述</strong></p>
<p>当鼠标指针位于元素上方时，会发生 mouseover 事件。该事件大多数时候会与&nbsp;mouseout&nbsp;事件一起使用</p>
<div>
<p>注释：与 mouseenter 事件不同，不论鼠标指针穿过被选元素或其子元素，都会触发 mouseover 事件。只有在鼠标指针穿过被选元素时，才会触发 mouseenter 事件</p>
</div>
<p><strong>参数</strong></p>
<p>fn&nbsp;&nbsp;在每一个匹配元素的mouseover事件中绑定的处理函数</p>
<p>[data],fn&nbsp;&nbsp;data:mouseover([Data], fn) 可传入data供函数fn处理；fn:在每一个匹配元素的mouseover事件中绑定的处理函数</p>
<h2>mouseout([[data],fn])</h2>
<p><strong>概述</strong></p>
<p>当鼠标指针从元素上移开时，发生 mouseout 事件。该事件大多数时候会与&nbsp;mouseover&nbsp;事件一起使用。</p>
<div>
<p>注释：与 mouseleave 事件不同，不论鼠标指针离开被选元素还是任何子元素，都会触发 mouseout 事件。只有在鼠标指针离开被选元素时，才会触发 mouseleave 事件</p>
</div>
<p><strong>参数</strong></p>
<p>fn&nbsp;&nbsp;在每一个匹配元素的mouseout事件中绑定的处理函数</p>
<p>[data],fn&nbsp;&nbsp;data:mouseout([Data], fn) 可传入data供函数fn处理；fn:在每一个匹配元素的mouseout事件中绑定的处理函数</p>
<div>
<pre class="prettyprint linenums">&lt;!DOCTYPE html&gt;<br />
&lt;html&gt;

    &lt;head&gt;<br />
        &lt;meta charset="UTF-8"&gt;<br />
        &lt;script type="text/javascript" src="js/jquery-3.1.1.min.js"&gt;&lt;/script&gt;<br />
        &lt;title&gt;&lt;/title&gt;<br />
        &lt;script type="text/javascript"&gt;<br />
            x = 0;<br />
            y = 0;<br />
            $(document).ready(function() {<br />
                $("#over").mouseout(function() {<br />
                    $("#over span").text(x += 1);<br />
                });<br />
                $("#out").mouseover(function() {<br />
                    $("#out span").text(y += 1);<br />
                });<br />
            });<br />
        &lt;/script&gt;<br />
    &lt;/head&gt;

    &lt;body&gt;<br />
        &lt;div id="over" style="background-color:lightgray;padding:20px;width:300px;float:left;position: relative;top: 10px;left: 10px;"&gt;<br />
            &lt;h2 style="background-color:white;"&gt;触发Mouseover 事件：&lt;span&gt;&lt;/span&gt;&lt;/h2&gt;<br />
        &lt;/div&gt;<br />
        &lt;br /&gt;<br />
        &lt;div id="out" style="background-color:lightgray;padding:20px;width:300px;float:left;position: relative;left: -330px;top: 150px;"&gt;<br />
            &lt;h2 style="background-color:white;"&gt;触发 Mouseout 事件：&lt;span&gt;&lt;/span&gt;&lt;/h2&gt;<br />
        &lt;/div&gt;<br />
    &lt;/body&gt;

&lt;/html&gt;</pre>
</div>
<h2><strong>&nbsp; &nbsp;mouseenter([[data],fn])</strong></h2>
<p><strong>概述</strong></p>
<p>当鼠标指针穿过元素时，会发生 mouseenter 事件。该事件大多数时候会与mouseleave 事件一起使用。</p>
<div>
<p>与 mouseover 事件不同，只有在鼠标指针穿过被选元素时，才会触发 mouseenter 事件。如果鼠标指针穿过任何子元素，同样会触发 mouseover 事件。</p>
</div>
<p><strong>参数</strong></p>
<p>fn&nbsp;&nbsp;在每一个匹配元素的mouseenter事件中绑定的处理函数。</p>
<p>[data],fn&nbsp;&nbsp;data:mouseenter([Data], fn) 可传入data供函数fn处理；fn:在每一个匹配元素的mouseenter事件中绑定的处理函数</p>
<h2><strong>mouseleave([[data],fn])</strong></h2>
<p><strong>概述</strong></p>
<p>当鼠标指针离开元素时，会发生 mouseleave 事件。该事件大多数时候会与mouseenter 事件一起使用。</p>
<div>
<p>与 mouseout 事件不同，只有在鼠标指针离开被选元素时，才会触发 mouseleave 事件。如果鼠标指针离开任何子元素，同样会触发 mouseout 事件。</p>
</div>
<p><strong>参数</strong></p>
<p>fn&nbsp;&nbsp;在每一个匹配元素的mouseleave事件中绑定的处理函数。</p>
<p>[data],fn&nbsp;&nbsp;data:mouseleave([Data], fn) 可传入data供函数fn处理；fn:在每一个匹配元素的mouseleave事件中绑定的处理函数</p>
<div>
<pre class="prettyprint linenums">&lt;!DOCTYPE html&gt;<br />
&lt;html&gt;

    &lt;head&gt;<br />
        &lt;meta charset="UTF-8"&gt;<br />
        &lt;script type="text/javascript" src="js/jquery-3.1.1.min.js"&gt;&lt;/script&gt;<br />
        &lt;title&gt;&lt;/title&gt;<br />
        &lt;script type="text/javascript"&gt;<br />
            x = 0;<br />
            y = 0;<br />
            $(document).ready(function() {<br />
                $("#over").mouseenter(function() {<br />
                    $("#over span").text(x += 1);<br />
                });<br />
                $("#out").mouseleave(function() {<br />
                    $("#out span").text(y += 1);<br />
                });<br />
            });<br />
        &lt;/script&gt;<br />
    &lt;/head&gt;

    &lt;body&gt;<br />
        &lt;div id="over" style="background-color:lightgray;padding:20px;width:300px;float:left;position: relative;top: 10px;left: 10px;"&gt;<br />
            &lt;h2 style="background-color:white;"&gt;触发Mouseenter 事件：&lt;span&gt;&lt;/span&gt;&lt;/h2&gt;<br />
        &lt;/div&gt;<br />
        &lt;br /&gt;<br />
        &lt;div id="out" style="background-color:lightgray;padding:20px;width:300px;float:left;position: relative;left: -330px;top: 150px;"&gt;<br />
            &lt;h2 style="background-color:white;"&gt;触发 Mouseleave 事件：&lt;span&gt;&lt;/span&gt;&lt;/h2&gt;<br />
        &lt;/div&gt;<br />
    &lt;/body&gt;

&lt;/html&gt;</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m8zeolv8.html">MVVM模式下，ViewModel和View，Model有什么区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyml3dq.html">Git代码管理心得</a>
		</li>
						<li><a href="https://www.batexi.com/a/4954eezq.html">POJ1002 487-3279</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwddk4z8.html">&lbrack;CF738B&rsqb;Spotlights（前缀和，模拟）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rd34rm8.html">10&period;29&lowbar;Extjs-lovcombo</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlm2vd09.html">简易的RestClient代码</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydkyvmq.html">输出宽字符数组 C&plus;&plus;</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vge1j8.html">JS&lpar;二&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1znvm9.html">Android内存泄漏监测（MAT）及解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1m4r19.html">&amp;quot&semi;Classifying plankton with deep neural networks&amp;quot&semi; notes</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mew2ypq.html">bzoj2884 albus就是要第一个出场</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zdpee9.html">Scrapy 爬虫实例教程（一）---简介及资源列表</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ge0yx08.html">【转载】Java并发编程：volatile关键字解析（写的非常好的一篇文章）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdlrmz9.html">spring事务管理方式，aop</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljgem69.html">&lbrack;Swift&rsqb;LeetCode200&period;岛屿的个数 &vert; Number of Islands</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2lm56q.html">MVC WebAPI框架里设置异常返回格式统一</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kop355q.html">ES6&period;&period;&period;扩展运算符&lpar;数组或类数组对象&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppx7n79.html">（转）2017年12月宋华教授携IBM中国研究院、猪八戒网、中航信托、33复杂美共同论道智慧供应链金融</a>
		</li>
						<li><a href="https://www.batexi.com/a/qve0nn19.html">Codeforces Round &num;462 &lpar;Div&period; 2&rpar; B-A Prosperous Lot</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rn6dvmq.html">监测代码执行时间之Stopwatch</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q7o15oe8.html">RN无限轮播以及ScrollView的大小调节问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwvygyz8.html">MySQL之&mdash;&mdash;崩溃-修复损坏的innodb：innodb&lowbar;force&lowbar;recovery</a>
			</li>
						<li><a href="https://www.batexi.com/a/q25144vq.html">云服务器--linux系统操作命令以及安装ngnix记录，以及手动部署本地文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2w4vy9.html">Windows下安装centOS7双系统总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/95g12wvq.html">入门 Webpack，看这篇就够了</a>
			</li>
						<li><a href="https://www.batexi.com/a/960n6749.html">《Java程序设计》第一周学习记录（1）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qll3epeq.html">Linux性能优化gprof使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o10nllq.html">windows安装 centos</a>
			</li>
						<li><a href="https://www.batexi.com/a/960wj1j9.html">iOS 开发常用链接总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/95gkx3mq.html">vue中computed和watch的写法，以及区别</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
